import request from '@/utils/request'

// 查询严重违法失信名单列表
export function listList(query) {
  return request({
    url: '/crmSeriouslyIllegalAndDishonestList/findByPage',
    method: 'get',
    params: query
  })
}

// 查询严重违法失信名单详细
export function getListData(id) {
  return request({
    url: '/basicData/list/' + id,
    method: 'get'
  })
}

// 新增严重违法失信名单
export function addList(data) {
  return request({
    url: '/basicData/list',
    method: 'post',
    data: data
  })
}

// 修改严重违法失信名单
export function updateList(data) {
  return request({
    url: '/basicData/list',
    method: 'put',
    data: data
  })
}

// 删除严重违法失信名单
export function delList(id) {
  return request({
    url: '/crmSeriouslyIllegalAndDishonestList/deleteAll',
    method: 'delete'
  })
}

// 批量删除行政许可
export function delListBatch(ids) {
  console.log(ids);
  return request.post('/crmSeriouslyIllegalAndDishonestList/delete',ids)
}

